# TypeBuilder

@Incubating
interface TypeBuilder<T>

A TypeBuilder to configure the registration of a type.

#### Parameters

<T>

The registered type.

## Functions

defaultImplementation
Link copied to clipboard
abstract fun defaultImplementation(implementation: Class<out Any>): TypeBuilder<T>
Allows the plugin to register the implementation type.
defaultImplementation
Link copied to clipboard
@Incubating
inline fun <T : Any> TypeBuilder<T>.defaultImplementation(implementation: KClass<*>): TypeBuilder<T>

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.platform.base.TypeBuilder.defaultImplementation.

internalView
Link copied to clipboard
abstract fun internalView(internalView: Class<out Any>): TypeBuilder<T>
Allows type registration rules to add internal views to the registered type.
internalView
Link copied to clipboard
@Incubating
inline fun <T : Any> TypeBuilder<T>.internalView(internalView: KClass<*>): TypeBuilder<T>

Kotlin extension function taking kotlin.reflect.KClass for org.gradle.platform.base.TypeBuilder.internalView.